## extlib 1.1

=== Makefile ===
# Makefile contributed by Alain Frisch

MODULES = \
 enum bitSet dbi dynArray extHashtbl extList extString global IO IOO option \
 pMap refList std uChar uTF8 base64

# the list is topologically sorted

SRC = $(MODULES:=.mli) $(MODULES:=.ml) extLib.ml

all: 
	ocamlc -a -o extLib.cma $(SRC)
opt: 
	ocamlopt -a -o extLib.cmxa $(SRC)
doc:
	ocamlc -c $(MODULES:=.mli)
	mkdir -p doc/
	ocamldoc -sort -html -d doc/ $(MODULES:=.mli)
	cp odoc_style.css doc/style.css

install:
	cp META.txt META
	ocamlfind install extlib META *.cmi *.cma $(wildcard *.cmxa) $(wildcard *.a)

uninstall:
	ocamlfind remove extlib

clean:
	rm -f *.cmo *.cmx *.o *.cmi *.cma *.cmxa *.a
	rm -Rf doc

## extlib 1.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile contributed by Alain Frisch
 
 MODULES = \
- enum bitSet dbi dynArray extHashtbl extList extString global IO IOO option \
- pMap refList std uChar uTF8 base64
+ enum bitSet dbi dynArray extHashtbl extList extString global IO option \
+ pMap std uChar uTF8 base64 unzip refList optParse dllist
 
 # the list is topologically sorted

## extlib 1.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile contributed by Alain Frisch
 
 MODULES = \
- enum bitSet dbi dynArray extHashtbl extList extString global IO option \
+ enum bitSet dynArray extHashtbl extList extString global IO option \
  pMap std uChar uTF8 base64 unzip refList optParse dllist
 
 # the list is topologically sorted

## extlib 1.5

=== Makefile ===
# Makefile contributed by Alain Frisch

MODULES = \
 enum bitSet dynArray extArray extHashtbl extList extString global IO option \
 pMap std uChar uTF8 base64 unzip refList optParse dllist

# the list is topologically sorted

MLI = $(MODULES:=.mli)
SRC = $(MLI) $(MODULES:=.ml) extLib.ml

all: 
	ocamlc -a -o extLib.cma $(SRC)
opt: 
	ocamlopt -a -o extLib.cmxa $(SRC)
doc:
	ocamlc -c $(MODULES:=.mli)
	mkdir -p doc/
	ocamldoc -sort -html -d doc/ $(MODULES:=.mli)
	cp odoc_style.css doc/style.css

install:
	cp META.txt META
	ocamlfind install extlib META *.cmi *.cma $(MLI) $(wildcard *.cmxa) $(wildcard *.a)

uninstall:
	ocamlfind remove extlib

clean:
	rm -f *.cmo *.cmx *.o *.cmi *.cma *.cmxa *.a
	rm -Rf doc

## extlib 1.5.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,6 @@
 	cp odoc_style.css doc/style.css
 
 install:
-	cp META.txt META
 	ocamlfind install extlib META *.cmi *.cma $(MLI) $(wildcard *.cmxa) $(wildcard *.a)
 
 uninstall:

=== debian/changelog ===
extlib (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Remove Stefano from Uploaders
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.2
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Aug 2011 20:52:15 +0200

extlib (1.5.1-5) unstable; urgency=low

  * Switch packaging to dh-ocaml 0.9

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 Oct 2009 18:19:25 +0100

extlib (1.5.1-4) unstable; urgency=low

  * Build and install native plugin
  * Add README.source
  * debian/control:
    - add myself to Uploaders
    - move to section ocaml
    - add binary package libextlib-ocaml
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Mon, 31 Aug 2009 18:39:52 +0200

extlib (1.5.1-3) unstable; urgency=low

  * uploading to unstable
  * debian/control:
    - bump build-deps to avoid spurious build failures in unstable
  * remove obsolete debian/svn-deblayout (we now use git)
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet, bump dh-ocaml
    build-dep to the minimum version implementing it

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 26 Feb 2009 23:24:05 +0100

extlib (1.5.1-2) experimental; urgency=low

  * rebuild with OCaml 3.11
  * debian/control:
    - bump Standards-Version (no changes required)
    - add build-dep on dh-ocaml (which now ships the CDBS class)
    - strengthen deps to OCaml (to ensure proper build in experimental)
    - rely on debhelper 7 (bump deps and debian/compat accordingly)
  * make Vcs-* fields point to the new git repository

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Feb 2009 18:49:41 +0100

extlib (1.5.1-1) unstable; urgency=low

  * new upstream release, reflecting project relocation (closes: #458257)
    - update debian/watch to point to the new download url
    - update Homepage field in debian/control
  * fix vcs-svn field to point just above the debian/ dir
  * rename upstream/ with tarballs/ and shorten debian/svn-deblayout
    accordingly
    - update debian/patches/00dpatch.conf to point to ../tarballs/
  * refresh patch build_with_debug_info to match new upstream

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 07 Jan 2008 22:07:50 +0100

extlib (1.5-10) unstable; urgency=low

  * promote Homepage to a real debian/control field
  * update standards-version, no changes needed
  * setting me as an uploader, d-o-m as the maintainer

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 28 Dec 2007 20:24:47 +0100

extlib (1.5-9) unstable; urgency=low

  * debian/rules
    - use CDBS support to generated ocamldoc documentation
  * debian/patches
    - remove no longer needed patch 03_install (was only useful to tune
      ocamldoc generation)
  * debian/*.doc-base
    - remove doc-base entry for ocamldoc API reference, now it will be
      automatically generated during build

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 04 Sep 2007 10:02:33 +0200

extlib (1.5-8) experimental; urgency=low

  * rebuild against 3.10
  * bump debhelper dep and compatibility to 5

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 12 Jul 2007 15:41:38 +0200

extlib (1.5-7) unstable; urgency=low

  * compile objects with debugging information, patch from Ivan Jager
    (Closes: #415194)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 09 Apr 2007 15:29:33 +0200

extlib (1.5-6) unstable; urgency=low

  * debian/rules
    - switched to cdbs
  * debian/control
    - bumped build dependency on ocaml-nox to >= 3.09.2-7 since we now rely on
      the ocaml.mk cdbs class
    - added build dependency on cdbs

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 09:34:17 +0100

extlib (1.5-5) unstable; urgency=low

  * debian/rules
    - avoid to create debian/control from debian/control.in on ocamlinit
  * debian/control.in
    - file removed, no longer needed

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  6 Sep 2006 09:44:06 +0200

extlib (1.5-4) unstable; urgency=low

  * Upload to unstable.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 May 2006 20:09:50 +0000

extlib (1.5-3) experimental; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 23:51:32 +0000

extlib (1.5-2) unstable; urgency=low

  * debian/patches/03_install.dpatch
    - bugfix: invoke ocamldoc to generate html documentation

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 20 Feb 2006 12:33:04 -0500

extlib (1.5-1) unstable; urgency=low

  * New upstream release (closes: #353734)
  * debian/patches/03_install.dpatch
    - new patch to avoid installing unexistent .css file
  * debian/control
    - added homepage to long description
  * debian/copyright
    - updated wrt current authors and maintainers
  * debian/*
    - comsetic changes here and there
  * debian/watch
    - added watch file

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 20 Feb 2006 11:34:46 -0500

extlib (1.4-5) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  7 Jan 2006 11:51:10 +0100

extlib (1.4-4) unstable; urgency=low

  * debian/rules
    - more precise mv statement due to more restrictive coreutils,
      fixes FTBFS (closes: #340879).
      Thanks to Roland Stigge for the patch.

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 26 Nov 2005 18:52:47 +0100

extlib (1.4-3) unstable; urgency=low

  * Rebuilt with ocaml 3.09 (closes: #338098)
  * debian/control
    - bumped standards version
  * debian/*
    - no longer hardcoding of ocaml abi

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 10 Nov 2005 09:19:59 +0000

extlib (1.4-2) unstable; urgency=low

  * Changed doc-base section to Apps/Programming (closes: #310760).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 26 May 2005 22:38:18 +0200

extlib (1.4-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: extlib
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 ocaml-nox (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5),
 debhelper (>= 8),
 cdbs,
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/extlib.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/extlib.git
Homepage: http://code.google.com/p/ocaml-extlib/

Package: libextlib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: extended standard library for OCaml
 ExtLib is a project aiming at providing a complete - yet small -
 standard library for the OCaml programming language.
 .
 The purpose of this library is to add new functions to OCaml
 Standard Library modules, to modify some functions in order to
 get better performances or more safety (tail-recursive) but also
 to provide new modules which should be useful for the average
 OCaml programmer.
 .
 ExtLib contains modules implementing: enumeration over abstract
 collection of elements, efficient bit sets, dynamic arrays,
 references on lists, Unicode characters and UTF-8 encoded
 strings, additional and improved functions for hashtables,
 strings, lists and option types.

Package: libextlib-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: libextlib-ocaml-dev (<< 1.5.1-4)
Breaks: libextlib-ocaml-dev (<< 1.5.1-4)
Description: extended standard library for OCaml (plugins)
 ExtLib is a project aiming at providing a complete - yet small -
 standard library for the OCaml programming language.
 .
 This package contains plugins needed by plugins using ExtLib.

## extlib 1.5.4

=== Makefile ===
# Makefile contributed by Alain Frisch

VERSION = 1.5.4

MODULES = \
 enum bitSet dynArray extArray extHashtbl extList extString global IO option \
 pMap std uChar uTF8 base64 unzip refList optParse dllist

# the list is topologically sorted

MLI = $(MODULES:=.mli)
CMI = $(MODULES:=.cmi)
CMX = $(MODULES:=.cmx)
SRC = $(MLI) $(MODULES:=.ml) extLib.ml

.PHONY: all opt cmxs doc install uninstall clean release

all: 
	ocamlc -a -o extLib.cma $(SRC)
opt: 
	ocamlopt -a -o extLib.cmxa $(SRC)
cmxs: opt
	ocamlopt -shared -linkall extLib.cmxa -o extLib.cmxs
doc:
	ocamlc -c $(MLI)
	ocamldoc -sort -html -d doc/ $(MLI)

install:
	ocamlfind install -patch-version $(VERSION) extlib META extLib.cma extLib.cmi $(MLI) $(CMI) -optional extLib.cmxa $(CMX) extLib.cmxs extLib.a extLib.lib

uninstall:
	ocamlfind remove extlib

clean:
	rm -f *.cmo *.cmx *.o *.obj *.cmi *.cma *.cmxa *.cmxs *.a *.lib doc/*.html

release:
	svn export . extlib-$(VERSION)
	tar czf extlib-$(VERSION).tar.gz extlib-$(VERSION)
	gpg -a -b extlib-$(VERSION).tar.gz
	@echo make tag: svn copy https://ocaml-extlib.googlecode.com/svn/trunk https://ocaml-extlib.googlecode.com/svn/tags/extlib-$(VERSION)

=== debian/changelog ===
extlib (1.5.4-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:12:23 +0100

extlib (1.5.4-1) experimental; urgency=low

  [ Mehdi Dogguy ]
  * Update patch 0001-Compile-ocaml-objects-with-debugging-information.patch
    to build native library with debugging symbols too (Closes: #649862)

  [ Lifeng Sun ]
  * New upstream release. (Closes: #663905, #596622)
  * Bump Standards-Version to 3.9.4.
  * debian/control: canonical VCS-* fields.
  * debian/copyright: switch to dep5 format.
  * Add myself to Uploaders.

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 24 Jul 2013 17:21:35 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>
+ Stéphane Glondu <glondu@debian.org>,
+ Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
- ocaml-nox (>= 3.11.1-3~),
- ocaml-findlib (>= 1.2.5),
+ ocaml-nox (>= 4.00.1),
+ ocaml-findlib (>= 1.3.2),
  debhelper (>= 8),
  cdbs,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/extlib.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/extlib.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/extlib.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/extlib.git
 Homepage: http://code.google.com/p/ocaml-extlib/
 
 Package: libextlib-ocaml-dev

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PKGNAME = libextlib-ocaml-dev
OCAML_OCAMLDOC_PACKAGES = $(OCAML_LIBDEV_PACKAGES)
PKGDIR = $(CURDIR)/debian/tmp
DESTDIR = $(PKGDIR)$(OCAML_STDLIB_DIR)/extlib
DOCDIR = $(PKGDIR)/usr/share/doc/$(PKGNAME)/

common-build-arch::
	mkdir -p $(DESTDIR)/ $(DOCDIR)/
	if [ -x /usr/bin/ocamlopt ]; then \
		ocaml install.ml -d $(DESTDIR)/ -b -n -nodoc; \
		ocamlopt -shared -linkall -o $(DESTDIR)/extLib.cmxs -I $(DESTDIR) $(DESTDIR)/extLib.cmxa; \
	else \
		ocaml install.ml -d $(DESTDIR)/ -b -nodoc; \
	fi
	cp -a extLib.ml *.mli $(DESTDIR)/
	cp -a META $(DESTDIR)/META

=== debian/watch ===
version=3
http://code.google.com/p/ocaml-extlib/ .*/?files/extlib-(.*)\.tar\.gz

## extlib 1.6.1

=== Makefile ===
# Makefile contributed by Alain Frisch

VERSION = 1.6.1

# the list is topologically sorted
MODULES := \
 enum bitSet dynArray extArray extHashtbl extList extString global IO option \
 pMap std uChar uTF8 base64 unzip refList optParse dllist extLib

ifdef minimal
MODULES := $(filter-out unzip uChar uTF8, $(MODULES))
endif

OCAMLC = ocamlc -g
OCAMLOPT = ocamlopt -g

MLI = $(filter-out extLib.mli, $(MODULES:=.mli))
CMI = $(MODULES:=.cmi)
CMO = $(MODULES:=.cmo)
CMX = $(MODULES:=.cmx)

.SUFFIXES:
.PHONY: build all opt cmxs doc install uninstall clean release

build: all opt cmxs

all: extLib.cma
opt: extLib.cmxa
cmxs: extLib.cmxs

doc:
	$(OCAMLC) -c $(MLI)
	ocamldoc -sort -html -d doc/ $(MLI) extLib.ml

extLib.cma: $(CMO)
	$(OCAMLC) -a -o $@ $^
extLib.cmxa: $(CMX)
	$(OCAMLOPT) -a -o $@ $^
%.cmxs: %.cmxa
	$(OCAMLOPT) -shared -linkall $< -o $@
%.cmo: %.mli %.ml
	$(OCAMLC) -c $^
%.cmx: %.mli %.ml
	$(OCAMLOPT) -c $^
extLib.cmo: extLib.ml
	$(OCAMLC) -c $<
extLib.cmx: extLib.ml
	$(OCAMLOPT) -c $<
extHashtbl.ml: extHashtbl.mlpp
	camlp4of pr_o.cmo $(shell ocaml configure.ml) -impl $< -o $@

install:
	ocamlfind install -patch-version $(VERSION) extlib META extLib.cma $(MLI) $(CMI) -optional extLib.cmxa $(CMX) extLib.cmxs extLib.a extLib.lib

uninstall:
	ocamlfind remove extlib

clean:
	rm -f *.cmo *.cmx *.o *.obj *.cmi *.cma *.cmxa *.cmxs *.a *.lib doc/*.html extHashtbl.ml

release:
	svn export . extlib-$(VERSION)
	tar czf extlib-$(VERSION).tar.gz extlib-$(VERSION)
	gpg -a -b extlib-$(VERSION).tar.gz
	@echo make tag: svn copy https://ocaml-extlib.googlecode.com/svn/trunk https://ocaml-extlib.googlecode.com/svn/tags/extlib-$(VERSION)

=== debian/changelog ===
extlib (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 07 Aug 2014 10:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
  ocaml-nox (>= 4.00.1),
+ camlp4-extra,
  ocaml-findlib (>= 1.3.2),
  debhelper (>= 8),
  cdbs,

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
 common-build-arch::
 	mkdir -p $(DESTDIR)/ $(DOCDIR)/
 	if [ -x /usr/bin/ocamlopt ]; then \
-		ocaml install.ml -d $(DESTDIR)/ -b -n -nodoc; \
+		ocaml install.ml -d $(DESTDIR)/ -b -n -nodoc -full; \
 		ocamlopt -shared -linkall -o $(DESTDIR)/extLib.cmxs -I $(DESTDIR) $(DESTDIR)/extLib.cmxa; \
 	else \
-		ocaml install.ml -d $(DESTDIR)/ -b -nodoc; \
+		ocaml install.ml -d $(DESTDIR)/ -b -nodoc -full; \
 	fi
 	cp -a extLib.ml *.mli $(DESTDIR)/
 	cp -a META $(DESTDIR)/META

=== debian/watch ===
version=3
http://code.google.com/p/ocaml-extlib/downloads/list .*/extlib-(.*)\.tar\.gz

## extlib 1.7.0

=== Makefile ===

VERSION:=$(shell git describe --always --long)
RELEASE:=1.7.0

ifndef VERSION
VERSION:=$(RELEASE)
endif

.SUFFIXES:
.PHONY: build clean test doc release install

build:
	$(MAKE) -C src build

install:
	$(MAKE) -C src VERSION=$(VERSION) install

doc:
	$(MAKE) -C src doc

test:
	$(MAKE) -C test all run
	$(MAKE) -C test opt run

clean:
	$(MAKE) -C src clean
	$(MAKE) -C test clean

NAME=extlib-$(RELEASE)

release:
	git tag -a -m $(RELEASE) $(RELEASE)
	# using github archive - it will have different checksum
	#git archive --prefix=$(NAME)/ $(RELEASE) | gzip > $(NAME).tar.gz
	# gpg -a -b $(NAME).tar.gz

=== src/Makefile ===
# Makefile contributed by Alain Frisch

# the list is topologically sorted
MODULES := \
 extBytes enum bitSet dynArray extArray extHashtbl extList extString extBuffer \
 global IO option pMap std uChar uTF8 base64 unzip refList optParse dllist extLib

ifdef minimal
MODULES := $(filter-out unzip uChar uTF8, $(MODULES))
endif

OCAMLC = ocamlfind ocamlc -g -package bytes
OCAMLOPT = ocamlfind ocamlopt -g -package bytes

MLI = $(filter-out extLib.mli, $(MODULES:=.mli))
CMI = $(MODULES:=.cmi)
CMO = $(MODULES:=.cmo)
CMX = $(MODULES:=.cmx)

.SUFFIXES:
.PHONY: build all opt cmxs doc install uninstall clean release

build: all opt cmxs

all: extLib.cma
opt: extLib.cmxa
cmxs: extLib.cmxs

doc:
	$(OCAMLC) -c $(MLI)
	ocamldoc -sort -html -d doc/ $(MLI) extLib.ml

extLib.cma: $(CMO)
	$(OCAMLC) -a -o $@ $^
extLib.cmxa: $(CMX)
	$(OCAMLOPT) -a -o $@ $^
%.cmxs: %.cmxa
	$(OCAMLOPT) -shared -linkall $< -o $@
%.cmo: %.mli %.ml
	$(OCAMLC) -c $^
%.cmx: %.mli %.ml
	$(OCAMLOPT) -c $^
extLib.cmo: extLib.ml
	$(OCAMLC) -c $<
extLib.cmx: extLib.ml
	$(OCAMLOPT) -c $<
extBytes.mli: extBytes.ml
	$(OCAMLC) -i $< > $@
%.ml: %.mlpp
	cppo $(shell ocaml configure.ml) $< -o $@

install:
	ocamlfind install -patch-version $(VERSION) extlib META extLib.cma $(MLI) $(CMI) -optional extLib.cmxa $(CMX) extLib.cmxs extLib.a extLib.lib

uninstall:
	ocamlfind remove extlib

clean:
	rm -f *.cmo *.cmx *.o *.obj *.cmi *.cma *.cmxa *.cmxs *.a *.lib doc/*.html
	rm -rf extHashtbl.ml extBuffer.ml extBytes.ml extBytes.mli extString.ml

=== test/Makefile ===

.SUFFIXES:
.PHONY: all opt run clean

all:
ifndef INSTALLED
	$(MAKE) -C ../src all
	ocamlfind ocamlc -linkall -linkpkg -package bytes -I ../src extLib.cma util.ml test_*.ml runner.ml -o extlib_test
else
	ocamlfind ocamlc -linkall -linkpkg -package extlib util.ml test_*.ml runner.ml -o extlib_test
endif

opt:
ifndef INSTALLED
	$(MAKE) -C ../src opt
	ocamlfind ocamlopt -linkall -linkpkg -package bytes -I ../src extLib.cmxa util.ml test_*.ml runner.ml -o extlib_test
else
	ocamlfind ocamlopt -linkall -linkpkg -package extlib util.ml test_*.ml runner.ml -o extlib_test
endif

run:
	./extlib_test

clean:
	rm -rf *.cm* *.o *.obj extlib_test

=== debian/changelog ===
extlib (1.7.0-3build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 11:46:23 +0200

extlib (1.7.0-3build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Jun 2017 10:09:25 +0100

extlib (1.7.0-3) unstable; urgency=medium

  [ Johannes Schauer ]
  * Team upload.
  * d/control: fix Homepage field as project moved from code.google.com to
    github.com
  * d/copyright: add ygrek as new upstream contact and use github

  [ Ralf Treinen ]
  * standards-version 3.9.8 (no change)
  * update Vcs-{Git,Browser}

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 Oct 2016 20:35:25 +0200

extlib (1.7.0-2) unstable; urgency=medium

  * Team upload.
  * fix builds on architectures without ocamlopt

 -- Johannes Schauer <josch@debian.org>  Mon, 31 Aug 2015 10:39:38 +0200

extlib (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * switch to dh style debian/rules
  * bump Standards-Version to 3.9.6 (no changes needed)
  * fix debian/copyright to not use a pipe symbol anymore in the license name
    but to instead use the "foo with bar exception" format
  * update debian/watch as upstream moved to github
  * build depend on cppo instead of camlp4-extra as upstream replaced the
    latter for the former
  * build-depend on ocaml-findlib with (>= 1.5.1) as per upstream requirement
  * build-depend on libfindlib-ocaml-dev for the bytes module
  * upstream README is now README and not README.txt
  * install upstream changelog

 -- Johannes Schauer <josch@debian.org>  Sun, 30 Aug 2015 12:29:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: extlib
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
+ debhelper (>= 9),
  ocaml-nox (>= 4.00.1),
- camlp4-extra,
- ocaml-findlib (>= 1.3.2),
- debhelper (>= 8),
- cdbs,
+ cppo,
+ ocaml-findlib (>= 1.5.1),
+ libfindlib-ocaml-dev (>= 1.5.1),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/extlib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/extlib.git
-Homepage: http://code.google.com/p/ocaml-extlib/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/extlib.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/extlib.git
+Homepage: https://github.com/ygrek/ocaml-extlib
 
 Package: libextlib-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
opts="filenamemangle=s/.*?\/(\d[\d.]*)\.tar\.gz/extlib-$1.tar.gz/" \
  https://github.com/ygrek/ocaml-extlib/releases .*?/(\d[\d.]*)\.tar\.gz

## extlib 1.7.6

=== Makefile ===

VERSION:=$(shell git --git-dir=.git describe --always --long)
RELEASE:=1.7.6

ifndef VERSION
VERSION:=$(RELEASE)
endif

.NOTPARALLEL:
.SUFFIXES:
.PHONY: build clean test doc release install

build:
	$(MAKE) -C src build

install:
	$(MAKE) -C src VERSION=$(VERSION) install

doc:
	$(MAKE) -C src doc

test:
	$(MAKE) -C test all run
	$(MAKE) -C test opt run

clean:
	$(MAKE) -C src clean
	$(MAKE) -C test clean

NAME=extlib-$(RELEASE)

release:
	git tag -a -m $(RELEASE) $(RELEASE)
	git archive --prefix=$(NAME)/ $(RELEASE) | gzip > $(NAME).tar.gz
	gpg -a -b $(NAME).tar.gz

=== src/Makefile ===
# Makefile contributed by Alain Frisch

# the list is topologically sorted
MODULES := \
 extBytes enum bitSet dynArray extArray extHashtbl extList extString extBuffer \
 global IO option pMap std uChar uTF8 base64 unzip refList optParse dllist extLib

ifdef minimal
MODULES := $(filter-out unzip uChar uTF8, $(MODULES))
endif

CPPO_ARGS := $(shell ocaml configure.ml -cppo-args)
CPPO := cppo $(CPPO_ARGS)

OCAML_ARGS := -pp "$(CPPO)" -g
OCAML_ARGS += $(shell ocaml configure.ml -compile-args)

OCAMLC = ocamlfind ocamlc $(OCAML_ARGS)
OCAMLOPT = ocamlfind ocamlopt $(OCAML_ARGS)
OCAMLDOC = ocamldoc -pp "$(CPPO)"

MLI = $(filter-out extLib.mli, $(MODULES:=.mli))
CMI = $(MODULES:=.cmi)
CMO = $(MODULES:=.cmo)
CMX = $(MODULES:=.cmx)
CMT = $(MODULES:=.cmt)
CMTI = $(MODULES:=.cmti)

.NOTPARALLEL:
.SUFFIXES:
.PHONY: build all opt cmxs doc install uninstall clean release

build: all opt cmxs

all: extLib.cma
opt: extLib.cmxa
cmxs: extLib.cmxs

doc: $(MLI)
	$(OCAMLC) -c $(MLI)
	$(OCAMLDOC) -sort -html -d doc/ $(MLI) extLib.ml

extLib.cma: $(CMO)
	$(OCAMLC) -a -o $@ $^
extLib.cmxa: $(CMX)
	$(OCAMLOPT) -a -o $@ $^
%.cmxs: %.cmxa
	$(OCAMLOPT) -shared -linkall $< -o $@
%.cmo: %.mli %.ml
	$(OCAMLC) -c $^
%.cmx: %.mli %.ml
	$(OCAMLOPT) -c $^
extLib.cmo: extLib.ml
	$(OCAMLC) -c $<
extLib.cmx: extLib.ml
	$(OCAMLOPT) -c $<
extBytes.mli: extBytes.ml
	$(OCAMLC) -i $< > $@

install:
	ocamlfind install -patch-version $(VERSION) extlib META extLib.cma $(MLI) $(CMI) -optional extLib.cmxa $(CMX) extLib.cmxs extLib.a extLib.lib $(CMT) $(CMTI)

uninstall:
	ocamlfind remove extlib

clean:
	rm -f *.cmo *.cmx *.o *.obj *.cmi *.cma *.cmxa *.cmxs *.a *.lib doc/*.html extBytes.mli

=== debian/changelog ===
extlib (1.7.6-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:21:58 +0000

extlib (1.7.6-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Remove Lifeng from Uploaders (Closes: #925072)
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

  [ Andy Li ]
  * Add dh_missing --fail-missing.
  * Add autopkgtest support.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2019 14:10:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>,
- Lifeng Sun <lifongsun@gmail.com>
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  ocaml-nox (>= 4.00.1),
  cppo,
  ocaml-findlib (>= 1.5.1),
  libfindlib-ocaml-dev (>= 1.5.1),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/extlib.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/extlib.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/ocaml-team/extlib
+Vcs-Git: https://salsa.debian.org/ocaml-team/extlib.git
 Homepage: https://github.com/ygrek/ocaml-extlib
 
 Package: libextlib-ocaml-dev

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

PKGDIR = $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR = $(PKGDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_install:
	# if we do not create this directory manually beforehand, `ocamlfind install` will exit with:
	# ocamlfind: Bad configuration: Cannot mkdir [...] because a path component does not exist or is not a directory
	mkdir -p $(OCAMLFIND_DESTDIR)
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

# do not require ocamlopt during building or testing
ifneq ($(OCAML_HAVE_OCAMLOPT),yes)
override_dh_auto_build:
	make -C src all

override_dh_auto_test:
	make -C test all run
endif

override_dh_missing:
	dh_missing --fail-missing

## extlib 1.7.7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 VERSION:=$(shell git --git-dir=.git describe --always --long)
-RELEASE:=1.7.6
+RELEASE:=1.7.7
 
 ifndef VERSION
 VERSION:=$(RELEASE)
@@ -33,3 +33,17 @@
 	git tag -a -m $(RELEASE) $(RELEASE)
 	git archive --prefix=$(NAME)/ $(RELEASE) | gzip > $(NAME).tar.gz
 	gpg -a -b $(NAME).tar.gz
+
+.PHONY: test_all
+
+define gen_test =
+test_all:: test_$(1)
+
+.PHONY: test_$(1)
+test_$(1):
+	opam exec --switch=$(1) -- make clean build test > /dev/null
+# expected to fail < 4.03.0
+#	opam exec --switch=$(1) -- ocaml test/std.ml
+endef
+
+$(foreach version,3.12.1 4.00.1 4.01.0 4.02.3 4.03.0 4.04.2 4.05.0 4.06.0 4.06.1 4.07.1 4.08.0 4.09.0 4.10.0,$(eval $(call gen_test,$(version))))

=== debian/changelog ===
extlib (1.7.7-2) unstable; urgency=medium

  * Add empty dh_dwz override (Closes: #965115)
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jul 2020 13:35:16 +0200

extlib (1.7.7-1) unstable; urgency=medium

  [ Andy Li ]
  * New upstream release
  * To align with the OPAM extlib package, build with minimal=1,
    i.e. excluding Unzip, UChar, and UTF8.
  * Bump Standards-Version to 4.5.0

  [ Stéphane Glondu ]
  * Build-depend on debhelper-compat
  * Check DEB_BUILD_OPTIONS before running tests
  * Fix ocamldoc generation
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 May 2020 08:33:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: extlib
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 12),
- ocaml-nox (>= 4.00.1),
+ debhelper-compat (= 13),
+ ocaml-nox,
  cppo,
- ocaml-findlib (>= 1.5.1),
- libfindlib-ocaml-dev (>= 1.5.1),
- dh-ocaml (>= 0.9)
-Standards-Version: 4.4.0
+ ocaml-findlib,
+ libfindlib-ocaml-dev,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/extlib
 Vcs-Git: https://salsa.debian.org/ocaml-team/extlib.git
 Homepage: https://github.com/ygrek/ocaml-extlib

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	# if we do not create this directory manually beforehand, `ocamlfind install` will exit with:
 	# ocamlfind: Bad configuration: Cannot mkdir [...] because a path component does not exist or is not a directory
 	mkdir -p $(OCAMLFIND_DESTDIR)
-	dh_auto_install
+	dh_auto_install -- minimal=1
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES
@@ -20,11 +20,12 @@
 # do not require ocamlopt during building or testing
 ifneq ($(OCAML_HAVE_OCAMLOPT),yes)
 override_dh_auto_build:
-	make -C src all
+	make minimal=1 -C src all
 
 override_dh_auto_test:
-	make -C test all run
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	make minimal=1 -C test all run
+endif
 endif
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## extlib 1.7.8

=== Makefile ===

VERSION:=$(shell git --git-dir=.git describe --always --long)
RELEASE:=1.7.8

ifndef VERSION
VERSION:=$(RELEASE)
endif

.NOTPARALLEL:
.SUFFIXES:
.PHONY: build clean test doc release install

build:
	$(MAKE) -C src build

install:
	$(MAKE) -C src VERSION=$(VERSION) install

doc:
	$(MAKE) -C src doc

test:
	$(MAKE) -C test all run
	$(MAKE) -C test opt run

clean:
	$(MAKE) -C src clean
	$(MAKE) -C test clean

NAME=extlib-$(RELEASE)

release:
	git tag -a -m $(RELEASE) $(RELEASE)
	git archive --prefix=$(NAME)/ $(RELEASE) | gzip > $(NAME).tar.gz
	gpg -a -b $(NAME).tar.gz -o $(NAME).tar.gz.asc

.PHONY: sw_test_all sw_deps_all

define gen_sw =
sw_test_all:: sw_test_$(1)
sw_deps_all:: sw_deps_$(1)

.PHONY: sw_deps_$(1)
sw_deps_$(1):
	opam install --switch=$(1) -y --deps-only .

.PHONY: sw_test_$(1)
sw_test_$(1):
	-opam exec --switch=$(1) -- make clean build test >/dev/null 2>/dev/null
# expected to fail < 4.03.0
ifneq "$(1)" "3.12.1"
ifneq "$(1)" "4.00.1"
ifneq "$(1)" "4.01.0"
ifneq "$(1)" "4.02.3"
	-opam exec --switch=$(1) -- ocaml test/std.ml
endif
endif
endif
endif
endef

$(foreach version,\
	3.12.1\
	4.00.1\
	4.01.0\
	4.02.3\
	4.03.0\
	4.04.2\
	4.05.0\
	4.06.1\
	4.07.1\
	4.08.0\
	4.09.1\
	4.10.2\
	4.11.1\
	4.12.0~beta1\
,$(eval $(call gen_sw,$(version))))

=== test/Makefile ===

.NOTPARALLEL:
.SUFFIXES:
.PHONY: all opt run clean

TESTS := $(wildcard test_*.ml)

ifdef minimal
TESTS := $(filter-out test_Base64.ml test_Unzip.ml test_UChar.ml test_UTF8.ml, $(TESTS))
endif

all:
ifndef INSTALLED
	$(MAKE) -C ../src all minimal=$(minimal)
	ocamlfind ocamlc -linkall -linkpkg -package bytes -I ../src extLib.cma util.ml $(TESTS) runner.ml -o extlib_test
else
	ocamlfind ocamlc -linkall -linkpkg -package extlib util.ml $(TESTS) runner.ml -o extlib_test
endif

opt:
ifndef INSTALLED
	$(MAKE) -C ../src opt minimal=$(minimal)
	ocamlfind ocamlopt -linkall -linkpkg -package bytes -I ../src extLib.cmxa util.ml $(TESTS) runner.ml -o extlib_test
else
	ocamlfind ocamlopt -linkall -linkpkg -package extlib util.ml $(TESTS) runner.ml -o extlib_test
endif

run:
	./extlib_test

clean:
	rm -rf *.cm* *.o *.obj extlib_test

=== debian/changelog ===
extlib (1.7.8-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Always build with minimal=1

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 24 Feb 2022 14:38:12 +0100

extlib (1.7.8-1) unstable; urgency=medium

  [ Andy Li ]
  * New upstream release
  * Fix autopkgtest (test ExtString instead of Base64, which was
    removed from the minimal build)
  * Bump Standards-Version to 4.6.0 (no change)

  [ Stéphane Glondu ]
  * Bump debian/watch format version to 4

 -- Stéphane Glondu <glondu@debian.org>  Sun, 21 Nov 2021 14:44:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  cppo,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/extlib
 Vcs-Git: https://salsa.debian.org/ocaml-team/extlib.git

=== debian/watch ===
version=4
opts="filenamemangle=s/.*?\/(\d[\d.]*)\.tar\.gz/extlib-$1.tar.gz/" \
  https://github.com/ygrek/ocaml-extlib/releases .*?/(\d[\d.]*)\.tar\.gz

## extlib 1.7.9

=== debian/changelog ===
extlib (1.7.9-2) unstable; urgency=medium

  * Fix autopkgtest (Closes: #1074557)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 01 Jul 2024 02:56:03 +0200

extlib (1.7.9-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + libextlib-ocaml: Drop versioned constraint on libextlib-ocaml-dev in
      Replaces.
    + libextlib-ocaml: Drop versioned constraint on libextlib-ocaml-dev in
      Breaks.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jun 2024 08:47:42 +0200

## extlib 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 VERSION:=$(shell git --git-dir=.git describe --always --long)
-RELEASE:=1.7.8
+RELEASE:=1.8.0
 
 ifndef VERSION
 VERSION:=$(RELEASE)
@@ -12,6 +12,10 @@
 
 build:
 	$(MAKE) -C src build
+
+# bytecode-only target:
+all:
+	$(MAKE) -C src all
 
 install:
 	$(MAKE) -C src VERSION=$(VERSION) install
@@ -48,21 +52,12 @@
 sw_test_$(1):
 	-opam exec --switch=$(1) -- make clean build test >/dev/null 2>/dev/null
 # expected to fail < 4.03.0
-ifneq "$(1)" "3.12.1"
-ifneq "$(1)" "4.00.1"
-ifneq "$(1)" "4.01.0"
 ifneq "$(1)" "4.02.3"
-	-opam exec --switch=$(1) -- ocaml test/std.ml
-endif
-endif
-endif
+	-opam exec --switch=$(1) -- ocaml check_stdlib.ml
 endif
 endef
 
 $(foreach version,\
-	3.12.1\
-	4.00.1\
-	4.01.0\
 	4.02.3\
 	4.03.0\
 	4.04.2\
@@ -73,5 +68,10 @@
 	4.09.1\
 	4.10.2\
 	4.11.1\
-	4.12.0~beta1\
+	4.12.0\
+	4.13.1\
+	4.14.0\
+	5.0.0\
+	5.1.1\
+	5.2.0\
 ,$(eval $(call gen_sw,$(version))))

=== src/Makefile ===
--- 
+++ 
@@ -6,17 +6,16 @@
  global IO option pMap std uChar uTF8 base64 unzip refList optParse dllist extLib
 
 ifdef minimal
-MODULES := $(filter-out unzip uChar uTF8, $(MODULES))
+MODULES := $(filter-out base64 unzip uChar uTF8, $(MODULES))
 endif
 
 CPPO_ARGS := $(shell ocaml configure.ml -cppo-args)
 CPPO := cppo $(CPPO_ARGS)
 
-OCAML_ARGS := -pp "$(CPPO)" -g
-OCAML_ARGS += $(shell ocaml configure.ml -compile-args)
+OCAML_ARGS := -pp "$(CPPO)" -g -bin-annot
 
-OCAMLC = ocamlfind ocamlc $(OCAML_ARGS)
-OCAMLOPT = ocamlfind ocamlopt $(OCAML_ARGS)
+OCAMLC = ocamlc $(OCAML_ARGS)
+OCAMLOPT = ocamlopt $(OCAML_ARGS)
 OCAMLDOC = ocamldoc -pp "$(CPPO)"
 
 MLI = $(filter-out extLib.mli, $(MODULES:=.mli))

=== test/Makefile ===

.NOTPARALLEL:
.SUFFIXES:
.PHONY: all opt run clean

TESTS := $(wildcard test_*.ml)

ifdef minimal
TESTS := $(filter-out test_Base64.ml test_Unzip.ml test_UChar.ml test_UTF8.ml, $(TESTS))
endif

all:
ifndef INSTALLED
	$(MAKE) -C ../src all minimal=$(minimal)
	ocamlc -I ../src extLib.cma util.ml $(TESTS) runner.ml -o extlib_test
else
	ocamlfind ocamlc -linkall -linkpkg -package extlib util.ml $(TESTS) runner.ml -o extlib_test
endif

opt:
ifndef INSTALLED
	$(MAKE) -C ../src opt minimal=$(minimal)
	ocamlopt -I ../src extLib.cmxa util.ml $(TESTS) runner.ml -o extlib_test
else
	ocamlfind ocamlopt -linkall -linkpkg -package extlib util.ml $(TESTS) runner.ml -o extlib_test
endif

run:
	./extlib_test

clean:
	rm -rf *.cm* *.o *.obj extlib_test

=== debian/changelog ===
extlib (1.8.0-2build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 20:17:07 +0200

extlib (1.8.0-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 13:39:49 +0100

extlib (1.8.0-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 14:57:44 +0200

extlib (1.8.0-2) unstable; urgency=medium

  * Team upload
  * Fixup autopkgtest failure due to new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Sep 2024 07:34:59 +0200

extlib (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Sep 2024 11:22:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
  debhelper-compat (= 13),
  ocaml,
  cppo,
- ocaml-findlib,
- libfindlib-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.0
+ ocaml-dune,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/extlib
 Vcs-Git: https://salsa.debian.org/ocaml-team/extlib.git
@@ -48,8 +47,6 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: libextlib-ocaml-dev (<< 1.5.1-4)
-Breaks: libextlib-ocaml-dev (<< 1.5.1-4)
 Description: extended standard library for OCaml (plugins)
  ExtLib is a project aiming at providing a complete - yet small -
  standard library for the OCaml programming language.
